import java.awt.Point;

public class Class535 {

   public int anInt7261 = 1928135810;
   public boolean aBool7262 = true;
   static final int anInt7263 = 4;
   public int[] anIntArray7264 = null;
   public boolean aBool7265 = true;
   public int[] anIntArray7266 = null;
   static final int anInt7267 = 4;
   public int anInt7268 = -1531609788;
   static final int anInt7269 = 7;
   public int anInt7270 = 663674177;
   public int anInt7271 = 1891005041;
   public int anInt7272 = 97656116;
   public int anInt7273;
   public int anInt7274 = 1874921181;
   public short[][] aShortArrayArray7275;
   public short[][][] aShortArrayArrayArray7276;
   public int anInt7277;
   public int anInt7278 = -1423822316;
   public int anInt7279 = -610649927;
   public boolean aBool7280 = true;
   public int anInt7281 = -2005699573;
   static final int anInt7282 = 4;


   public Class535(Class253 var1) {
      byte[] var2 = var1.method4512(Class537.aClass537_7295.anInt7300 * -1281620235, 749605384);
      this.method11287(new RS2Buffer(var2), -143172927);
   }

   void method11287(RS2Buffer var1, int var2) {
      boolean var3 = false;

      while(true) {
         int var4 = var1.readUnsignedByte(-700559597);
         if(var4 == 0) {
            if(!var3) {
               if(this.anIntArray7266 == null) {
                  this.anInt7278 = -1423822316;
                  this.anIntArray7266 = new int[4];
                  this.anIntArray7264 = new int[4];
               }

               for(var4 = 0; var4 < this.anIntArray7266.length; ++var4) {
                  this.anIntArray7266[var4] = 0;
                  this.anIntArray7264[var4] = 20 * var4;
               }
            }

            return;
         }

         int var5;
         if(1 == var4) {
            if(this.anIntArray7266 == null) {
               this.anInt7278 = -1423822316;
               this.anIntArray7266 = new int[4];
               this.anIntArray7264 = new int[4];
            }

            for(var5 = 0; var5 < this.anIntArray7266.length; ++var5) {
               this.anIntArray7266[var5] = var1.method13732(-1637908055);
               this.anIntArray7264[var5] = var1.method13732(763794758);
            }

            var3 = true;
         } else if(2 == var4) {
            this.anInt7271 = var1.readLargeSmart(1574691600) * -1891005041;
         } else if(var4 == 3) {
            this.anInt7278 = var1.readUnsignedByte(-700559597) * 1791528069;
            this.anIntArray7266 = new int[1611762765 * this.anInt7278];
            this.anIntArray7264 = new int[1611762765 * this.anInt7278];
         } else if(4 == var4) {
            this.aBool7265 = false;
         } else if(var4 == 5) {
            this.anInt7277 = var1.readTriByte(-1444056117) * 938757049;
         } else if(var4 == 6) {
            this.anInt7273 = var1.readTriByte(1581368011) * 1023157575;
         } else if(var4 != 7) {
            if(8 == var4) {
               this.aBool7280 = false;
            } else if(var4 == 9) {
               this.anInt7261 = var1.readUnsignedByte(-700559597) * -1183415743;
            } else if(10 == var4) {
               this.aBool7262 = false;
            } else if(11 == var4) {
               this.anInt7274 = var1.readUnsignedByte(-700559597) * 624973727;
            } else if(12 == var4) {
               this.anInt7281 = var1.readUnsignedShort(-937710807) * 2005699573;
               this.anInt7279 = var1.readUnsignedShort(-937710807) * 610649927;
            } else if(var4 == 13) {
               this.anInt7268 = var1.readUnsignedByte(-700559597) * -1456644271;
            } else if(var4 == 14) {
               this.anInt7272 = var1.readUnsignedByte(-700559597) * 24414029;
            } else if(var4 == 15) {
               this.anInt7270 = var1.readUnsignedByte(-700559597) * -1745889673;
            }
         } else {
            this.aShortArrayArray7275 = new short[10][4];
            this.aShortArrayArrayArray7276 = new short[10][4][];

            for(var5 = 0; var5 < 10; ++var5) {
               for(int var6 = 0; var6 < 4; ++var6) {
                  int var7 = var1.readUnsignedShort(-937710807);
                  if(var7 == '\uffff') {
                     var7 = -1;
                  }

                  this.aShortArrayArray7275[var5][var6] = (short)var7;
                  int var8 = var1.readUnsignedShort(-937710807);
                  this.aShortArrayArrayArray7276[var5][var6] = new short[var8];

                  for(int var9 = 0; var9 < var8; ++var9) {
                     int var10 = var1.readUnsignedShort(-937710807);
                     if(var10 == '\uffff') {
                        var10 = -1;
                     }

                     this.aShortArrayArrayArray7276[var5][var6][var9] = (short)var10;
                  }
               }
            }
         }
      }
   }

   void method11288(RS2Buffer var1) {
      boolean var2 = false;

      while(true) {
         int var3 = var1.readUnsignedByte(-700559597);
         if(var3 == 0) {
            if(!var2) {
               if(this.anIntArray7266 == null) {
                  this.anInt7278 = -1423822316;
                  this.anIntArray7266 = new int[4];
                  this.anIntArray7264 = new int[4];
               }

               for(var3 = 0; var3 < this.anIntArray7266.length; ++var3) {
                  this.anIntArray7266[var3] = 0;
                  this.anIntArray7264[var3] = 20 * var3;
               }
            }

            return;
         }

         int var4;
         if(1 == var3) {
            if(this.anIntArray7266 == null) {
               this.anInt7278 = -1423822316;
               this.anIntArray7266 = new int[4];
               this.anIntArray7264 = new int[4];
            }

            for(var4 = 0; var4 < this.anIntArray7266.length; ++var4) {
               this.anIntArray7266[var4] = var1.method13732(-1758216513);
               this.anIntArray7264[var4] = var1.method13732(640470382);
            }

            var2 = true;
         } else if(2 == var3) {
            this.anInt7271 = var1.readLargeSmart(1927651975) * -1891005041;
         } else if(var3 == 3) {
            this.anInt7278 = var1.readUnsignedByte(-700559597) * 1791528069;
            this.anIntArray7266 = new int[1611762765 * this.anInt7278];
            this.anIntArray7264 = new int[1611762765 * this.anInt7278];
         } else if(4 == var3) {
            this.aBool7265 = false;
         } else if(var3 == 5) {
            this.anInt7277 = var1.readTriByte(-1734514588) * 938757049;
         } else if(var3 == 6) {
            this.anInt7273 = var1.readTriByte(-1451105107) * 1023157575;
         } else if(var3 != 7) {
            if(8 == var3) {
               this.aBool7280 = false;
            } else if(var3 == 9) {
               this.anInt7261 = var1.readUnsignedByte(-700559597) * -1183415743;
            } else if(10 == var3) {
               this.aBool7262 = false;
            } else if(11 == var3) {
               this.anInt7274 = var1.readUnsignedByte(-700559597) * 624973727;
            } else if(12 == var3) {
               this.anInt7281 = var1.readUnsignedShort(-937710807) * 2005699573;
               this.anInt7279 = var1.readUnsignedShort(-937710807) * 610649927;
            } else if(var3 == 13) {
               this.anInt7268 = var1.readUnsignedByte(-700559597) * -1456644271;
            } else if(var3 == 14) {
               this.anInt7272 = var1.readUnsignedByte(-700559597) * 24414029;
            } else if(var3 == 15) {
               this.anInt7270 = var1.readUnsignedByte(-700559597) * -1745889673;
            }
         } else {
            this.aShortArrayArray7275 = new short[10][4];
            this.aShortArrayArrayArray7276 = new short[10][4][];

            for(var4 = 0; var4 < 10; ++var4) {
               for(int var5 = 0; var5 < 4; ++var5) {
                  int var6 = var1.readUnsignedShort(-937710807);
                  if(var6 == '\uffff') {
                     var6 = -1;
                  }

                  this.aShortArrayArray7275[var4][var5] = (short)var6;
                  int var7 = var1.readUnsignedShort(-937710807);
                  this.aShortArrayArrayArray7276[var4][var5] = new short[var7];

                  for(int var8 = 0; var8 < var7; ++var8) {
                     int var9 = var1.readUnsignedShort(-937710807);
                     if(var9 == '\uffff') {
                        var9 = -1;
                     }

                     this.aShortArrayArrayArray7276[var4][var5][var8] = (short)var9;
                  }
               }
            }
         }
      }
   }

   static final void method11289(Class124 var0, Class508 var1, byte var2) {
      Class405 var3 = var0.method2384(Class472.aClass304_5793, client.anInterface31_7691, 908388714);
      int var4 = var1.anIntArray6027[(var1.anInt6003 -= 98312473) * -937710807];
      Point var5 = var3.method6847(var0.aString1438, var0.anInt1368 * 516053361, -439603397 * var0.anInt1403, var4, Class181.aClass171Array2198, 1218224511);
      var1.anIntArray6027[(var1.anInt6003 += 98312473) * -937710807 - 1] = var5.x;
      var1.anIntArray6027[(var1.anInt6003 += 98312473) * -937710807 - 1] = var5.y;
   }

   static final void method11290(Class508 var0, byte var1) {
      var0.anInt6003 -= 294937419;
      int var2 = var0.anIntArray6027[-937710807 * var0.anInt6003];
      int var3 = var0.anIntArray6027[var0.anInt6003 * -937710807 + 1];
      int var4 = var0.anIntArray6027[-937710807 * var0.anInt6003 + 2];
      Class151_Sub2.method14951(var0.aClass515_Sub1_Sub4_Sub4_6021.aClass121_10789, var2 & '\uffff', var3, var4, var0.aBool6014, var0, 1031867735);
   }

   static final void method11291(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var3.anInt1416 * -716369759;
   }
}
